Bug 105674 - Calc will give a non-clickable error box when adding a gallery item which isn't accessible anymore
Summary: Calc will give a non-clickable error box when adding a gallery item which isn...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Images
  Show dependency treegraph
 
Reported: 2017-02-01 16:32 UTC by Telesto
Modified: 2020-02-14 02:30 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-02-01 16:32:51 UTC
Description:
If a file gets added from the gallery to a Calc sheet, which doesn't exist anymore, Calc give a non-clickable error dialog




Steps to Reproduce:
1.Open Calc
2.Go to Sidebar -> Gallery
3. Select New Theme
4. Click Find Files -> Browse to a directory with some images
5. Click add all
6. Move/Delete/rename the referred folder
7. Add an item from the newly created theme gallery




Actual Results:  
Warning box that the file doesn't exist, but non-clickable. Closing with the Task Manger is the only option

Expected Results:
Quite hard to say. At least a click-able error. 

More general:
The behavior with a missing file is quite inconstant within LibO. Impress does nothing. Writer will give a Insert Selection dialog box with a link. 
Probably the gallery shouldn't contain missing items at all. 


Reproducible: Always

User Profile Reset: No

Additional Info:
Version: 5.4.0.0.alpha0+
Build ID: 2670ca3fc597decae78499d1397539668eb84e5e
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-01-31_05:32:46
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Buovjaga 2017-02-12 15:00:35 UTC
Repro.

When I switched to another window and back again, I was able to click OK.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: ac8197327d3ef4f3c94fb0746393863404df086b
CPU Threads: 8; OS Version: Linux 4.9; UI Render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on February 11th 2016
Comment 2 QA Administrators 2018-02-13 03:33:32 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2020-02-14 02:30:50 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug